WordPress.org

Support

Support » Plugins and Hacks » Simple Twitter Connect » [Plugin: Simple Twitter Connect] Not HTML5 valid: Here's the fix.

[Plugin: Simple Twitter Connect] Not HTML5 valid: Here's the fix.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Escaping like this in all cases is not compatible with a lot of other systems. Things like Facebook which scrape your site don’t always parse the amp code into the & properly for using elsewhere.

    I wouldn’t worry about validation, I’d be more concerned about things actually working with the most common systems. It would be nice if everybody followed the rules, but they don’t, and I prefer to be practical.

    I agree with your second point, WordPress itself isn’t HTML5 compliant at this point. I’m just a nit-picker 😛

    As to how other systems parse the code, I know Facebook has issues when it comes to using the & amp; in titles. Would using the amp code on your Twitter “Share” button have any sort of detrimental effects? What would they be?

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Plugin: Simple Twitter Connect] Not HTML5 valid: Here's the fix.’ is closed to new replies.
Skip to toolbar